"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConfigSetExecutionPlan = void 0;
const select_deployment_groups_1 = require("./select-deployment-groups");
const createConfigSetExecutionPlan = ({ ctx, targetsSelectionCriteria, executionGroupConverter, }) => {
    const { configSetType } = targetsSelectionCriteria;
    const selectedGroups = (0, select_deployment_groups_1.selectDeploymentGroups)(ctx, targetsSelectionCriteria);
    const createStage = (stageName) => ({
        stageName,
        groups: selectedGroups
            .map((group) => executionGroupConverter(group, stageName))
            .filter(({ targets }) => targets.length > 0),
    });
    const stages = ctx
        .getStages()
        .map(createStage)
        .filter(({ groups }) => groups.length > 0);
    return {
        stages,
        configSetType,
    };
};
exports.createConfigSetExecutionPlan = createConfigSetExecutionPlan;
//# sourceMappingURL=create-config-set-execution-plan.js.map