"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeploymentTargetNamePatternMatcher = void 0;
const createDeploymentTargetNamePatternMatcher = (pattern) => {
    const prefix = pattern.endsWith("%");
    const suffix = pattern.startsWith("%");
    if (prefix && suffix) {
        const part = pattern.slice(1, -1);
        return ({ name }) => name.includes(part);
    }
    if (prefix) {
        const part = pattern.slice(0, -1);
        return ({ name }) => name.startsWith(part);
    }
    if (suffix) {
        const part = pattern.slice(1);
        return ({ name }) => name.endsWith(part);
    }
    return ({ name }) => name === pattern;
};
exports.createDeploymentTargetNamePatternMatcher = createDeploymentTargetNamePatternMatcher;
//# sourceMappingURL=create-deployment-target-name-pattern-matcher.js.map