"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deploymentTargetsRunCommand = void 0;
const deployment_targets_context_1 = require("@takomo/deployment-targets-context");
const deployment_targets_schema_1 = require("@takomo/deployment-targets-schema");
const util_1 = require("@takomo/util");
const joi_1 = __importDefault(require("joi"));
const plan_1 = require("./plan");
const inputSchema = (regions) => {
    const { deploymentGroupPath, deploymentTargetNamePattern, label } = (0, deployment_targets_schema_1.createDeploymentTargetsSchemas)({ regions });
    return joi_1.default.object({
        groups: joi_1.default.array().items(deploymentGroupPath).unique(),
        targets: joi_1.default.array().items(deploymentTargetNamePattern).unique(),
        labels: joi_1.default.array().items(label).unique(),
        concurrentTargets: joi_1.default.number().min(1).max(50),
    }).unknown(true);
};
const deploymentTargetsRunCommand = async ({ ctx, input, configRepository, io, credentialManager, }) => (0, util_1.validateInput)(inputSchema(ctx.regions), input)
    .then(() => (0, deployment_targets_context_1.createDeploymentTargetsContext)({
    ctx,
    configRepository,
    credentialManager,
    logger: io,
}))
    .then((ctx) => (0, plan_1.planRun)({
    ctx,
    input,
    io,
}))
    .then(io.printOutput);
exports.deploymentTargetsRunCommand = deploymentTargetsRunCommand;
//# sourceMappingURL=command.js.map